<app-navbar></app-navbar>

<video [muted]="true" autoplay playsinline loop id="myVideo">
       <source src="/assets/images/bg1.mp4" type="video/mp4">
       Your browser does not support HTML5 video.
     </video>
   

<html>
       

<div class="float-container">
<div class="login-box">


<!-- hello -->

<div id="tutorialsection">
       <clr-modal [(clrModalOpen)]="openInfoModal" clrModalSize="xl" [clrModalClosable]="false" >
         <h3 class="modal-title">Graph Data Upload Guidelines</h3>
     
           <div class="modal-body">
             <div *ngIf="openInfoModal" class="guidelines">

              <h4>For the Graph Data, please adhere to the format for the dataset so that the interactive graph can be function perfectly, you can test on the interactive 
                     graph function to see if it is functioning as intended once you have upload the dataset on the file uploader.
                     <br>
                     Graph Labels can be indicated below on the left hand column 
                     <br>
                     Data set and data name are from column C onwards. Data set must be numerical values only, data name must not contain soley numerica values 
                     <br>
                     You may wish to download a <a href="https://otoro-image-gallery.s3-ap-southeast-1.amazonaws.com/graphData/new.xlsx">sample</a> of the data set for formatting purposes. 
                     </h4>
                     <img class="logo" src="assets/images/graph.png">
                     <br>
                     <br>

             </div>
           </div>
         <div class="modal-footer">
           <button class="btn btn-link" (click)="closeInfoModal()">Close</button>
         </div>
       </clr-modal>
</div>

<div class="main">

<div class="btn-group" style="color: #203354;">
       <div class="radio btn">
              <input type="radio" name="btn-group-demo-radios" id="btn-demo-radio-1" (change)="toggleShowUploadPage()"/>
              <label style="font-size: 16px; font-family: 'Quicksand';" for="btn-demo-radio-1"><h3>UPLOAD FILES</h3></label>
       </div>
       <div class="radio btn">
              <input type="radio" name="btn-group-demo-radios" id="btn-demo-radio-2" (change)="toggleShowViewPage()"/>
              <label style="font-size: 16px; font-family: 'Quicksand';"  for="btn-demo-radio-2"><h3>VIEW/DELETE FILES</h3></label>
       </div>
</div>






<div *ngIf="showUploadPage">
       <div id='info'>
              <a (click)="toggleGraphInfo()"><cds-icon shape="info-standard" solid size="md" ></cds-icon> Graph Data Upload Guidelines</a>
              <!--<span id="info-words">Click here to find out</span>-->
       </div>
       
    <form clrForm [formGroup]="imageForm" >
           <br>
           <div>
              <h2>Choose File Type to Upload: </h2>
              <clr-combobox-container class="selectMid">
                     <clr-combobox formControlName="fileType" >
                       <clr-options>
                           <clr-option *ngFor="let s of selectedTypes" [clrValue]="s.visual" >
                                  {{s.visual}}
                            </clr-option>
                       </clr-options>
                     </clr-combobox>
              </clr-combobox-container>
           </div>
       <br>
           <div *ngIf="filePath && filePath !== ''" >
              <img [src]=getSantizeUrl(filePath) width="200" height="200" [alt]="fileObj.name"> 
              <!--[alt]="myForm.value.name"-->
       </div>

       <br>
       <div *ngIf="showFileUpload">
              <!--<div *ngIf="currentType == 'graphData'; else elseOthers">-->
                     <!--(eventEmiiter)="dataFromEventEmiiter($event)"-->
                     <!--appReadexcel-->
                     <br>
                     <input style="color: white; border-color:white; font-weight: normal; " type="file" appReadexcel class="custom-file-input" (change)="onFilePicked($event)" (eventEmiiter)="dataFromEventEmiiter($event)" id="fileUpload" #myFile/>
                     <br>
                     <button class="btn btn-primary"><label for="fileUpload">Choose File</label></button>
                     <br>
                     <button class="btn btn-primary" [disabled]="disableBarChart" (click)="openChart()">Open chart</button>
                     <button class="btn btn-primary" [disabled]="disableBarChart" (click)="openDataTable()">View Data</button>
              <!--</div>-->
              <!--<ng-template #elseOthers>-->
                     <!--<input (change)="onFilePicked($event)" class="custom-file-input" placeholder="" type="file" id="fileUpload" #myFile/>-->
              <!--</ng-template>-->
              <br>
              <br>
              <br>
              <div *ngIf="disabledUpload == false; else elseBlock">
              </div>
              <ng-template #elseBlock>
                 <button (click)="onFileUpload()" class="btn btn-success" >Upload File</button>
              </ng-template>
       </div>

       <div *ngIf = "this.errorMsg != ''">
       <p style="font-size: 15px; "><cds-icon shape="error-standard"></cds-icon> {{errorMsg}}</p>
       </div>
    </form>



</div>
</div>


<div *ngIf="showViewPage">
       <!--<h2>List of Images</h2>
       <ul *ngFor="let o of outputData">
              <li>{{o}}</li>
       </ul>-->
       <clr-datagrid>
              <!--<clr-dg-column>User ID</clr-dg-column>-->
              <!--class="clr-col-lg-4 clr-col-4"-->
              <clr-dg-column style="font-size: 16px;"  [clrDgField]="'name'">Name</clr-dg-column>
              <clr-dg-column style="font-size: 16px;"  [clrDgField]="'image'">Image Type</clr-dg-column>
              <clr-dg-column style="font-size: 16px;"  [clrDgField]="'image'">Image</clr-dg-column>
              <clr-dg-column style="font-size: 16px;"  [clrDgField]="'image'">Delete Image</clr-dg-column>

              <clr-dg-row *clrDgItems="let i of showImages">
                     <clr-dg-cell><a style="font-size: 16px;"  href='{{i.url}}'>{{i.name}}</a> </clr-dg-cell>
                     <clr-dg-cell style="font-size: 16px;" >{{i.type}}</clr-dg-cell>
                            <clr-dg-cell>
                                   <div *ngIf="i.type == 'picture'; else elseExcel">
                                          <img style="max-width: 100px; max-height: 120px;"src='{{i.url}}'>
                                   </div>
                                   <ng-template #elseExcel>
                                          <clr-dg-cell></clr-dg-cell>
                                   </ng-template>
                            </clr-dg-cell>

                     <clr-dg-cell class="square"><button class="btn btn-warning" (click)="deleteFile(i)">Delete File</button></clr-dg-cell>
              </clr-dg-row>
              <clr-dg-footer>
                     <clr-dg-pagination #pagination>
                       {{pagination.firstItem + 1}} - {{pagination.lastItem + 1}} of {{pagination.totalItems}} data
                     </clr-dg-pagination>
              </clr-dg-footer>
       </clr-datagrid>

</div>


<div *ngIf="spinning">
       <div class="modal-backdrop" aria-hidden="true">
              <div class="loading">
                     <clr-spinner></clr-spinner><h2>Loading... </h2>
              </div>
       </div>
</div>

<div *ngIf="uploadSuccess">
       <div class="modal">
              <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
              <div class="modal-content">
                     <h1>Upload Success!</h1>
              </div>
              </div>
       </div>
       <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>

<div *ngIf="uploadFailed">
       <div class="modal">
              <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true" >
              <div class="modal-content">
                     <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "uploadFailed = false"></cds-icon> 
                     <h1  style="font-family: 'Quicksand'; font-size:18px;">Failed to upload image. 
                            <br>       
                            Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
                            <br>
                            <!--This window will close in {{countdown}} s-->
                         
                            <!-- <button type="button" class="btn btn-outline" (click)="uploadFailed = false">Close</button> -->
                            </h1>
              </div>
              </div>

       </div>
       <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<div *ngIf="getImageFailed">
       <div class="modal">
              <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true" >
              <div class="modal-content">
                     <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "getImageFailed = false"></cds-icon> 
                     <h1  style="font-family: 'Quicksand'; font-size:18px;">Failed to get image.
                            <br>       
                            Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
                            <br>
                            <!--This window will close in {{countdown}} s-->
                  
                            <!-- <button type="button" class="btn btn-outline" (click)="getImageFailed = false">Close</button> -->
                            </h1>
              </div>
              </div>

       </div>
       <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>



<clr-modal [(clrModalOpen)]="openChartModal" clrModalSize="xl">
       <div class="modal-body">
         <div *ngIf="openChartModal">
           <app-chart></app-chart>        
         </div>
       </div>
       <div class="modal-footer">
         <button type="button" class="btn btn-outline" (click)="openChartModal = false">Close</button>
       </div>
</clr-modal>

</div>
</div>
</html>

<div *ngIf="deleteSuccess">
       <div class="modal">
              <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
              <div class="modal-content">
                     <h1>Delete Success for {{imageDeleted}}!</h1>
              </div>
              </div>
       </div>
       <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<div *ngIf="deleteFailed">
       <div class="modal">
              <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
              <div class="modal-content">
                     <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "deleteFailed = false"></cds-icon> 
                     <h1  style="font-family: 'Quicksand'; font-size:18px;">Delete Failed for {{imageDeleted}}, 
                     <br>       
                     Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
                     <br>
                     <!-- <button type="button" class="btn btn-outline" (click)="deleteFailed = false">Close</button> -->
              </h1>
              </div>
              </div>
       </div>
       <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<clr-modal [(clrModalOpen)]="openDataModal" clrModalSize="xl">
       <div class="modal-body">
         <div *ngIf="openDataModal">
              <clr-datagrid>
                     <!--<clr-dg-column class="clr-col-lg-4 clr-col-4" [clrDgField]="'name'">Name</clr-dg-column>-->
                     <clr-dg-column *ngFor="let colName of displayedColumns; let i=index">
                       <clr-dg-cell></clr-dg-cell>
                       {{ displayedColumns[i] }}
                       <!--{{colName}}-->
                     </clr-dg-column>
                   
                     <clr-dg-row *clrDgItems="let data of dataSource; let d=index" >
                            <clr-dg-cell *ngFor="let colName of displayedColumns; let i=index"> 
                                   {{data[displayedColumns[i]]}}
                                   <!--{{colName}}-->
                            </clr-dg-cell>
                     </clr-dg-row>
                   
                     <clr-dg-footer>
                       <clr-dg-pagination #pagination [clrDgPageSize]="10">
                         <clr-dg-page-size [clrPageSizeOptions]="[10,20,50,100]">Data per page</clr-dg-page-size>
                         {{pagination.firstItem + 1}} - {{pagination.lastItem + 1}} of {{pagination.totalItems}} data
                       </clr-dg-pagination>
                     </clr-dg-footer>
                   </clr-datagrid>
         </div>
       </div>
       <div class="modal-footer">
         <button type="button" class="btn btn-outline" (click)="openDataModal = false">Close</button>
       </div>
</clr-modal>



